Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1210653 - FTBFS on ppc64le
Summary: FTBFS on ppc64le
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ltrace
Version: 22
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeff Law
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-04-10 09:41 UTC by Dan Horák
Modified: 2016-07-19 13:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:41:09 UTC


Attachments (Terms of Use)

Description Dan Horák 2015-04-10 09:41:35 UTC
build on F-22 ppc64le fails with

...
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.PgibrD
+ umask 022
+ cd /builddir/build/BUILD
+ cd ltrace-0.7.91
+ autoreconf -i
libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, `config/autoconf'.
libtoolize: copying file `config/autoconf/ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `config/m4'.
libtoolize: copying file `config/m4/ltversion.m4'
configure.ac:55: installing 'config/autoconf/compile'
+ CFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mcpu=power7 -mtune=power8'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mcpu=power7 -mtune=power8'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mcpu=power7 -mtune=power8 -I/usr/lib64/gfortran/modules'
+ export FFLAGS
+ FCFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mcpu=power7 -mtune=power8 -I/usr/lib64/gfortran/modules'
+ export FCFLAGS
+ LDFLAGS='-Wl,-z,relro '
+ export LDFLAGS
+ '[' 1 = 1 ']'
++ find . -name config.guess -o -name config.sub
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./config/autoconf/config.guess
+ '[' -f /usr/lib/rpm/redhat/config.guess ']'
+ /usr/bin/rm -f ./config/autoconf/config.guess
++ basename ./config/autoconf/config.guess
+ /usr/bin/cp -fv /usr/lib/rpm/redhat/config.guess ./config/autoconf/config.guess
'/usr/lib/rpm/redhat/config.guess' -> './config/autoconf/config.guess'
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./config/autoconf/config.sub
+ '[' -f /usr/lib/rpm/redhat/config.sub ']'
+ /usr/bin/rm -f ./config/autoconf/config.sub
++ basename ./config/autoconf/config.sub
+ /usr/bin/cp -fv /usr/lib/rpm/redhat/config.sub ./config/autoconf/config.sub
'/usr/lib/rpm/redhat/config.sub' -> './config/autoconf/config.sub'
+ '[' 1 = 1 ']'
+ '[' x '!=' x ']'
+ ./configure --build=ppc64le-redhat-linux-gnu --host=ppc64le-redhat-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --docdir=/usr/share/doc/ltrace
checking build system type... powerpc64le-redhat-linux-gnu
checking host system type... powerpc64le-redhat-linux-gnu
checking for ppc64le-redhat-linux-gnu-gcc... no
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking how to print strings... printf
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert powerpc64le-redhat-linux-gnu file names to powerpc64le-redhat-linux-gnu format... func_convert_file_noop
checking how to convert powerpc64le-redhat-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for ppc64le-redhat-linux-gnu-objdump... no
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for ppc64le-redhat-linux-gnu-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ppc64le-redhat-linux-gnu-ar... no
checking for ar... ar
checking for archiver @FILE support... @
checking for ppc64le-redhat-linux-gnu-strip... no
checking for strip... strip
checking for ppc64le-redhat-linux-gnu-ranlib... no
checking for ranlib... ranlib
checking for gawk... gawk
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for ppc64le-redhat-linux-gnu-mt... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... no
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf64ppc) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/builddir/build/BUILD/ltrace-0.7.91/config/autoconf/missing: Unknown `--is-lightweight' option
Try `/builddir/build/BUILD/ltrace-0.7.91/config/autoconf/missing --help' for more information
configure: WARNING: 'missing' script is too old or missing
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking whether make supports nested variables... yes
checking dependency style of gcc... none
checking whether to enable maintainer-specific portions of Makefiles... no
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking elf.h usability... yes
checking elf.h presence... yes
checking for elf.h... yes
checking gelf.h usability... yes
checking gelf.h presence... yes
checking for gelf.h... yes
checking for elf_begin in -lelf... yes
checking for cplus_demangle in -liberty... no
checking for __cxa_demangle in -lsupc++... no
checking for __cxa_demangle in -lstdc++... yes
checking selinux/selinux.h usability... yes
checking selinux/selinux.h presence... yes
checking for selinux/selinux.h... yes
checking for security_get_boolean_active in -lselinux... yes
checking elfutils/libdwfl.h usability... yes
checking elfutils/libdwfl.h presence... yes
checking for elfutils/libdwfl.h... yes
checking for dwfl_getthread_frames in -ldw... yes
checking whether to use elfutils libdwfl unwinding support... yes
checking libunwind.h usability... no
checking libunwind.h presence... no
checking for libunwind.h... no
checking libunwind-ptrace.h usability... no
checking libunwind-ptrace.h presence... no
checking for libunwind-ptrace.h... no
checking whether to use libunwind support... no
checking whether elf_begin accepts ELF_C_READ_MMAP... yes
checking whether elf_hash takes a char* argument... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking stddef.h usability... yes
checking stddef.h presence... yes
checking for stddef.h... yes
checking for stdint.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking for unistd.h... (cached) yes
checking for uid_t in sys/types.h... yes
checking for inline... inline
checking for pid_t... yes
checking for size_t... yes
checking size of long... 8
checking vfork.h usability... no
checking vfork.h presence... no
checking for vfork.h... no
checking for fork... yes
checking for vfork... yes
checking for working fork... yes
checking for working vfork... (cached) yes
checking for alarm... yes
checking for atexit... yes
checking for gettimeofday... yes
checking for memset... yes
checking for strchr... yes
checking for strdup... yes
checking for strerror... yes
checking for strsignal... yes
checking for strtol... yes
checking for strtoul... yes
checking for open_memstream... yes
checking getopt.h usability... yes
checking getopt.h presence... yes
checking for getopt.h... yes
checking for getopt_long... yes
checking whether to enable debugging... no
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating sysdeps/Makefile
config.status: creating sysdeps/linux-gnu/Makefile
config.status: creating sysdeps/linux-gnu/aarch64/Makefile
config.status: creating sysdeps/linux-gnu/alpha/Makefile
config.status: creating sysdeps/linux-gnu/arm/Makefile
config.status: creating sysdeps/linux-gnu/cris/Makefile
config.status: creating sysdeps/linux-gnu/ia64/Makefile
config.status: creating sysdeps/linux-gnu/m68k/Makefile
config.status: creating sysdeps/linux-gnu/metag/Makefile
config.status: creating sysdeps/linux-gnu/mips/Makefile
config.status: creating sysdeps/linux-gnu/ppc/Makefile
config.status: creating sysdeps/linux-gnu/s390/Makefile
config.status: creating sysdeps/linux-gnu/sparc/Makefile
config.status: creating sysdeps/linux-gnu/x86/Makefile
config.status: creating testsuite/Makefile
config.status: creating testsuite/ltrace.main/Makefile
config.status: creating testsuite/ltrace.minor/Makefile
config.status: creating testsuite/ltrace.torture/Makefile
config.status: creating config.h
config.status: executing libtool commands
config.status: executing depfiles commands
+ make -j16
make  all-recursive
make[1]: Entering directory '/builddir/build/BUILD/ltrace-0.7.91'
Making all in sysdeps
make[2]: Entering directory '/builddir/build/BUILD/ltrace-0.7.91/sysdeps'
Making all in linux-gnu
make[3]: Entering directory '/builddir/build/BUILD/ltrace-0.7.91/sysdeps/linux-gnu'
Making all in powerpc64le
/bin/sh: line 20: cd: powerpc64le: No such file or directory
Makefile:494: recipe for target 'all-recursive' failed
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory '/builddir/build/BUILD/ltrace-0.7.91/sysdeps/linux-gnu'
Makefile:394: recipe for target 'all-recursive' failed
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory '/builddir/build/BUILD/ltrace-0.7.91/sysdeps'
Makefile:848: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/builddir/build/BUILD/ltrace-0.7.91'
Makefile:528: recipe for target 'all' failed
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.PgibrD (%build)


for full logs please see http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2461348


Version-Release number of selected component (if applicable):
ltrace-0.7.91-15.fc22

Comment 1 Petr Machata 2015-04-13 09:05:29 UTC
The following updates fix this.  I couldn't attach bug number directly to the update due to bug 1211175.  The following two updates address this bug:
https://admin.fedoraproject.org/updates/ltrace-0.7.91-16.fc21
https://admin.fedoraproject.org/updates/ltrace-0.7.91-16.fc22

Comment 2 Rafael Fonseca 2015-08-13 13:13:56 UTC
ltrace seems to build successfully. Can we close this bug?

Comment 3 Fedora End Of Life 2016-07-19 13:41:09 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.